Delete BackOrderPreOrderReservation
curl --request DELETE \
--url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderNumber": "order_123",
"sku": "sku_123",
"lineItemId": "0",
"type": "BACKORDER",
"orderDate": "2022-04-12T09:30:31.198Z",
"backOrderedQuantity": 5,
"locationNum": 23,
"channelId": "channel_12",
"orderStatusCode": "Created",
"id": "1",
"itemId": "123",
"cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"toReleaseQuantity": 0,
"vendorId": "vendor_123",
"consentToDelay": "true",
"consentDate": "2022-07-12T09:30:31.198Z",
"lastNotificationDate": "2022-06-12T09:30:31.198Z",
"toNotify": "false",
"lineItemStatus": "CANCELLED",
"paymentStatus": "OK"
}{
"message": "Bad Request"
}{
"message": "Object Not Found."
}{
"message": "Internal Server Error"
}Backorder Preorder Reservation
Delete BackOrderPreOrderReservation
DELETE
/
backpre-order
/
backorderpreorder-reserve
/
{identifier}
Delete BackOrderPreOrderReservation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
backPreorderId
Response
BackOrderPreOrderReservation object deleted
BackOrderPreOrderReservation Model
Example:
"order_123"
Example:
"sku_123"
Example:
"0"
Example:
"BACKORDER"
Example:
"2022-04-12T09:30:31.198Z"
Example:
5
Example:
23
Example:
"channel_12"
Example:
"Created"
Example:
"1"
Example:
"123"
Example:
"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"
Example:
0
Example:
"vendor_123"
Example:
"true"
Example:
"2022-07-12T09:30:31.198Z"
Example:
"2022-06-12T09:30:31.198Z"
Example:
"false"
Example:
"CANCELLED"
Example:
"OK"
Was this page helpful?
